Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: policykit

Interfaces

### Description:

Policy framework for controlling privileges for system-wide services.

### Interfaces:

policykit_dbus_chat( domain )

##### Summary

Send and receive messages from policykit over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_dbus_chat_auth( domain )

##### Summary

Send and receive messages from policykit auth over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_domtrans_auth( domain )

##### Summary

Execute a domain transition to run polkit_auth.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

policykit_domtrans_grant( domain )

##### Summary

Execute a domain transition to run polkit grant.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

policykit_domtrans_resolve( domain )

##### Summary

Execute a domain transition to run polkit resolve.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

policykit_read_lib( domain )

##### Summary

Read policykit lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_read_reload( domain )

##### Summary

Read policykit reload files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_run_auth( domain , role )

##### Summary

Execute a policy_auth in the policy auth domain, and allow the specified role the policy auth domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

policykit_run_grant( domain , role )

##### Summary

Execute a policy_grant in the policy grant domain, and allow the specified role the policy grant domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

policykit_rw_reload( domain )

##### Summary

Read and write policykit reload files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_search_lib( domain )

##### Summary

Search policykit lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

policykit_signal_auth( domain )

##### Summary

Send generic signals to policykit auth.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return